aboutsummaryrefslogtreecommitdiff
path: root/package/lldpd
diff options
context:
space:
mode:
authorGravatar Vivien Didelot <vivien.didelot@savoirfairelinux.com>2016-08-02 12:24:11 -0400
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-08-02 21:43:58 +0200
commit8711d72410294b2f9ae3351c9d2c4b62f2848e42 (patch)
tree0a9acf397984714da89998e7f36576ee7e99883a /package/lldpd
parenteb0c0f821c2a5932e8bf1a9e6ee70a6db6f707c4 (diff)
downloadbuildroot-8711d72410294b2f9ae3351c9d2c4b62f2848e42.tar.gz
buildroot-8711d72410294b2f9ae3351c9d2c4b62f2848e42.tar.bz2
lldpd: add sysv init script
Add a simple sysv init script to start the lldpd daemon at boot. Signed-off-by: Vivien Didelot <vivien.didelot@savoirfairelinux.com> [Thomas: cosmetic improvements.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/lldpd')
-rw-r--r--package/lldpd/S60lldpd25
-rw-r--r--package/lldpd/lldpd.mk5
2 files changed, 30 insertions, 0 deletions
diff --git a/package/lldpd/S60lldpd b/package/lldpd/S60lldpd
new file mode 100644
index 0000000000..3dfa6c1aa1
--- /dev/null
+++ b/package/lldpd/S60lldpd
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Controls lldpd.
+#
+
+case $1 in
+ start)
+ printf "Starting lldpd: "
+ start-stop-daemon -S -q -p /var/run/lldpd.pid --exec /usr/sbin/lldpd
+ [ $? = 0 ] && echo "OK" || echo "FAIL"
+ ;;
+ stop)
+ printf "Stopping lldpd: "
+ start-stop-daemon -K -q -p /var/run/lldpd.pid
+ [ $? = 0 ] && echo "OK" || echo "FAIL"
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
diff --git a/package/lldpd/lldpd.mk b/package/lldpd/lldpd.mk
index 416967b223..6c7bf80504 100644
--- a/package/lldpd/lldpd.mk
+++ b/package/lldpd/lldpd.mk
@@ -35,4 +35,9 @@ LLDPD_CONF_OPTS = \
$(if $(BR2_PACKAGE_LLDPD_DOT3),--enable-dot3,--disable-dot3) \
$(if $(BR2_PACKAGE_LLDPD_CUSTOM_TLV),--enable-custom,--disable-custom)
+define LLDPD_INSTALL_INIT_SYSV
+ $(INSTALL) -D -m 0755 package/lldpd/S60lldpd \
+ $(TARGET_DIR)/etc/init.d/S60lldpd
+endef
+
$(eval $(autotools-package))